Package org.eclipse.net4j.util.container.delegate

## Interface IContainerCollection<E>

- All Superinterfaces:
    `java.util.Collection<E>`, `IContainer<E>`, `INotifier`, `java.lang.Iterable<E>`
  All Known Subinterfaces:
    `IContainerBlockingQueue<E>`, `IContainerList<E>`, `IContainerQueue<E>`, `IContainerSet<E>`, `IContainerSortedSet<E>`
  All Known Implementing Classes:
    `ContainerBlockingQueue`, `ContainerCollection`, `ContainerList`, `ContainerQueue`, `ContainerSet`, `ContainerSortedSet`

      public interface IContainerCollection<E>
      extends IContainer<E>, java.util.Collection<E>

  A `container` that is a `Collection`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<E>` | `getDelegate()` |

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray, toArray`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### getDelegate

          java.util.Collection<E> getDelegate()